<?php

$golf_course_tp_theme_css = '';

//theme-color
$golf_course_tp_color_option = get_theme_mod('golf_course_tp_color_option');

// 1st color
$golf_course_tp_color_option = get_theme_mod('golf_course_tp_color_option', '#2cc374');
if ($golf_course_tp_color_option) {
	$golf_course_tp_theme_css .= ':root {';
	$golf_course_tp_theme_css .= '--color-primary1: ' . esc_attr($golf_course_tp_color_option) . ';';
	$golf_course_tp_theme_css .= '}';
}

//hover color
$golf_course_tp_color_option_link = get_theme_mod('golf_course_tp_color_option_link');

if($golf_course_tp_color_option_link != false){
$golf_course_tp_theme_css .='.prev.page-numbers:focus, .prev.page-numbers:hover, .next.page-numbers:focus, .next.page-numbers:hover, #comments input[type="submit"]:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover,span.meta-nav:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, #footer button[type="submit"]:hover, #theme-sidebar button[type="submit"]:hover,.book-tkt-btn a.register-btn:hover,.book-tkt-btn a.bar-btn i:hover,.more-btn a:hover,.wc-block-cart__submit-container a:hover{';
	$golf_course_tp_theme_css .='background: '.esc_attr($golf_course_tp_color_option_link).';';
$golf_course_tp_theme_css .='}';
}
if($golf_course_tp_color_option_link != false){
$golf_course_tp_theme_css .='a:hover,#theme-sidebar a:hover,#footer li a:hover,.media-links i:hover ,.page-box h4 a:hover,.readmore-btn a:hover, .post_tag a:hover, #theme-sidebar .widget_tag_cloud a:hover,#footer p.wp-block-tag-cloud a:hover,#footer .tagcloud a:hover{';
	$golf_course_tp_theme_css .='color: '.esc_attr($golf_course_tp_color_option_link).';';
$golf_course_tp_theme_css .='}';
}
if($golf_course_tp_color_option_link != false){
$golf_course_tp_theme_css .='#footer .tagcloud a:hover,.wp-block-tag-cloud a:hover, .post_tag a:hover, #theme-sidebar .widget_tag_cloud a:hover,.readmore-btn a:hover,#footer p.wp-block-tag-cloud a:hover{';
	$golf_course_tp_theme_css .='border-color: '.esc_attr($golf_course_tp_color_option_link).';';
$golf_course_tp_theme_css .='}';
}

//preloader//

$golf_course_tp_preloader_color1_option = get_theme_mod('golf_course_tp_preloader_color1_option');
$golf_course_tp_preloader_color2_option = get_theme_mod('golf_course_tp_preloader_color2_option');
$golf_course_tp_preloader_bg_option = get_theme_mod('golf_course_tp_preloader_bg_option');


if($golf_course_tp_preloader_color1_option != false){
$golf_course_tp_theme_css .='.center1{';
	$golf_course_tp_theme_css .='border-color: '.esc_attr($golf_course_tp_preloader_color1_option).' !important;';
$golf_course_tp_theme_css .='}';
}
if($golf_course_tp_preloader_color1_option != false){
$golf_course_tp_theme_css .='.center1 .ring::before{';
	$golf_course_tp_theme_css .='background: '.esc_attr($golf_course_tp_preloader_color1_option).' !important;';
$golf_course_tp_theme_css .='}';
}
if($golf_course_tp_preloader_color2_option != false){
$golf_course_tp_theme_css .='.center2{';
	$golf_course_tp_theme_css .='border-color: '.esc_attr($golf_course_tp_preloader_color2_option).' !important;';
$golf_course_tp_theme_css .='}';
}
if($golf_course_tp_preloader_color2_option != false){
$golf_course_tp_theme_css .='.center2 .ring::before{';
	$golf_course_tp_theme_css .='background: '.esc_attr($golf_course_tp_preloader_color2_option).' !important;';
$golf_course_tp_theme_css .='}';
}
if($golf_course_tp_preloader_bg_option != false){
$golf_course_tp_theme_css .='.loader{';
	$golf_course_tp_theme_css .='background: '.esc_attr($golf_course_tp_preloader_bg_option).';';
$golf_course_tp_theme_css .='}';
}

// footer-bg-color
$golf_course_tp_footer_bg_color_option = get_theme_mod('golf_course_tp_footer_bg_color_option');

if($golf_course_tp_footer_bg_color_option != false){
$golf_course_tp_theme_css .='#footer{';
	$golf_course_tp_theme_css .='background: '.esc_attr($golf_course_tp_footer_bg_color_option).' !important;';
$golf_course_tp_theme_css .='}';
}

// logo tagline color
$golf_course_site_tagline_color = get_theme_mod('golf_course_site_tagline_color');

if($golf_course_site_tagline_color != false){
$golf_course_tp_theme_css .='.logo h1 a, .logo p, .logo p.site-title a{';
$golf_course_tp_theme_css .='color: '.esc_attr($golf_course_site_tagline_color).';';
$golf_course_tp_theme_css .='}';
}

$golf_course_logo_tagline_color = get_theme_mod('golf_course_logo_tagline_color');
if($golf_course_logo_tagline_color != false){
$golf_course_tp_theme_css .='p.site-description{';
$golf_course_tp_theme_css .='color: '.esc_attr($golf_course_logo_tagline_color).';';
$golf_course_tp_theme_css .='}';
}

// footer widget title color
$golf_course_footer_widget_title_color = get_theme_mod('golf_course_footer_widget_title_color');
if($golf_course_footer_widget_title_color != false){
$golf_course_tp_theme_css .='#footer h3{';
$golf_course_tp_theme_css .='color: '.esc_attr($golf_course_footer_widget_title_color).';';
$golf_course_tp_theme_css .='}';
}

// copyright text color
$golf_course_footer_copyright_text_color = get_theme_mod('golf_course_footer_copyright_text_color');
if($golf_course_footer_copyright_text_color != false){
$golf_course_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$golf_course_tp_theme_css .='color: '.esc_attr($golf_course_footer_copyright_text_color).';';
$golf_course_tp_theme_css .='}';
}

// header image title color
$golf_course_header_image_title_text_color = get_theme_mod('golf_course_header_image_title_text_color');
if($golf_course_header_image_title_text_color != false){
$golf_course_tp_theme_css .='.box-text h2{';
$golf_course_tp_theme_css .='color: '.esc_attr($golf_course_header_image_title_text_color).';';
$golf_course_tp_theme_css .='}';
}

// menu color
$golf_course_menu_color = get_theme_mod('golf_course_menu_color');
if($golf_course_menu_color != false){
$golf_course_tp_theme_css .='.main-navigation a{';
$golf_course_tp_theme_css .='color: '.esc_attr($golf_course_menu_color).';';
$golf_course_tp_theme_css .='}';
}

//Footer Font Weight
$golf_course_footer_copyright_title_font_weight = get_theme_mod( 'golf_course_footer_copyright_title_font_weight','');
if($golf_course_footer_copyright_title_font_weight == '100'){
$golf_course_tp_theme_css .='#footer .site-info p {';
    $golf_course_tp_theme_css .='font-weight: 100;';
$golf_course_tp_theme_css .='}';
}else if($golf_course_footer_copyright_title_font_weight == '200'){
$golf_course_tp_theme_css .='#footer .site-info p {';
    $golf_course_tp_theme_css .='font-weight: 200;';
$golf_course_tp_theme_css .='}';
}else if($golf_course_footer_copyright_title_font_weight == '300'){
$golf_course_tp_theme_css .='#footer .site-info p {';
    $golf_course_tp_theme_css .='font-weight: 300;';
$golf_course_tp_theme_css .='}';
}else if($golf_course_footer_copyright_title_font_weight == '400'){
$golf_course_tp_theme_css .='#footer .site-info p {';
    $golf_course_tp_theme_css .='font-weight: 400;';
$golf_course_tp_theme_css .='}';
}else if($golf_course_footer_copyright_title_font_weight == '500'){
$golf_course_tp_theme_css .='#footer .site-info p {';
    $golf_course_tp_theme_css .='font-weight: 500;';
$golf_course_tp_theme_css .='}';
}else if($golf_course_footer_copyright_title_font_weight == '600'){
$golf_course_tp_theme_css .='#footer .site-info p {';
    $golf_course_tp_theme_css .='font-weight: 600;';
$golf_course_tp_theme_css .='}';
}else if($golf_course_footer_copyright_title_font_weight == '700'){
$golf_course_tp_theme_css .='#footer .site-info p {';
    $golf_course_tp_theme_css .='font-weight: 700;';
$golf_course_tp_theme_css .='}';
}else if($golf_course_footer_copyright_title_font_weight == '800'){
$golf_course_tp_theme_css .='#footer .site-info p {';
    $golf_course_tp_theme_css .='font-weight: 800;';
$golf_course_tp_theme_css .='}';
}else if($golf_course_footer_copyright_title_font_weight == '900'){
$golf_course_tp_theme_css .='#footer .site-info p {';
    $golf_course_tp_theme_css .='font-weight: 900;';
$golf_course_tp_theme_css .='}';
}